

/*
 http://F5MNA.free.fr
  mai 2012
  Présentation générale de la librairie TVout
  Uilise la librairie TVout
  resolution de l'ecran 128 par 96 pixels 
 
  Pin9: Sync line:  -->|--/\/\/\--o---------------- Fiche RCA Video 
			 1Kohm   
  Pin7: Video line: -->|--/\/\/\--o---------------- Fiche RCA Video 
			 330ohm  
  Pin 10 Audio
				
  Relier la masse des fiches RCA à la masse (GND) de l'Arduino
 
*/

#include <TVout.h>
#include <fontALL.h>
TVout TV;
unsigned char x,y,y1,i;

void setup()  { 
  x=0;
  y=0;
  y1=0;
  i=0;
 TV.begin(PAL,120,96);
 TV.delay_frame(50);
}

void toutcarac () {
  x=3;
  y=0;
  for (char i = 32; i < 127; i++) {
    TV.print_char(x*6,y*8,i);
    x++;
    if (x > TV.char_line ()-3 ) {
      y++;
      x=3;
    }}
  TV.delay_frame(200); 
  TV.clear_screen(); 
  }
  
void presentation () {
  TV.clear_screen();
  TV.select_font(font6x8);
  TV.draw_line(1,8,128,8,1); 
  TV.println(45,25,"F5MNA");
  TV.println(20,45,"Arduino & TVOut"); 
  //TV.draw_line(1,56,128,56,1); 
  TV.draw_line(15,60,(TV.hres()-10),60,1);
  TV.select_font(font4x6); 
  TV.println(35,77,"Demonstration"); 
  TV.delay_frame(200);
  TV.clear_screen();
 }
 
void damier () {
  for(x=7;x<TV.hres();x = x+8){
    for(y=7;y<TV.vres();y++){
      TV.set_pixel(x,y,1);
 }}
  for(y=7;y<TV.vres();y= y+8){
   for(x=7;x<TV.hres();x++){  
     TV.set_pixel(x,y,1);
 }} 
 
  TV.delay_frame(250);  
  TV.clear_screen();
}

void lignes () {  
  y=1;
  y1=TV.vres(); 
  for (int y=1; y < TV.vres(); y++){
  y1--;  
  TV.draw_line(1,y1,TV.hres(),y,1);
  TV.draw_line(1,y,TV.hres(),y1,1);
  TV.delay_frame(2);
  TV.clear_screen();
}}

void font () {
  TV.select_font(font4x6);
  TV.println(0,20,"test font 4x6"); 
  TV.select_font(font6x8); 
  TV.println(0,40,"test font 4x8"); 
  TV.select_font(font8x8);
  TV.println(0,60,"test font 8x8"); 
  TV.delay_frame(200);
  TV.clear_screen();  
}   
 
void etoiles () {
  for (int i=0; i <= 200; i++){
  x=random(0,120);  //Valeurs x au hazard entre 0 et 120
  y=random(0,96);   //Valeurs y au hazard entre 0 et 96
  TV.set_pixel(x,y,1);
  TV.delay_frame(2);}
  
  TV.delay_frame(50);
  TV.clear_screen();
  TV.fill (2);
  TV.delay_frame(75);
  TV.clear_screen();
  } 
  
void cercles (){
  
for(i=1; i<35; i=i++) {
TV.draw_circle (60,45,i,1,1); // x,y,rayon,couleur, remplissage
TV.delay_frame(4);}

TV.clear_screen();
for(x=20;x<(TV.hres()-20);x = x++){ //déplacement horizontal du cercle
TV.draw_circle (x,45,20,1,1);
TV.delay_frame(3);
TV.clear_screen();
}
}
/*couleurs 
WHITE = 1 
BLACK = 0 
INVERT = 2 
NOFILL = -1 (default) pour le remplissage
*/

void rectangles (){
TV.draw_rect (10,30,100,40,1,0); //x,y,largeur,hauteur,couleur,remplissage  
TV.delay_frame(75);

for(x=10;x<(TV.hres()-27);x = x++){ //déplacement horizontal du rectangle
TV.draw_rect(14,35,x,30,1,1);// Le rectangle devient blanc
TV.delay_frame(1);}

TV.delay_frame (150);
TV.clear_screen();
}

  
void textdefil () { 
  for (int i=0; i < 80; i++){
  TV.select_font(font8x8);  
  TV.println(i,48,"F5MNA");
  TV.delay_frame(3); 
  TV.clear_screen();
  }
  for (int i=0; i < (TV.vres()-10); i++){
  TV.println(50,i,"F5MNA");
  TV.delay_frame(3); 
  TV.clear_screen();
  TV.select_font(font6x8); }
  }
  
 void loop() {

 presentation();
 toutcarac();
 damier();
 lignes();
 lignes(); 
 lignes();
 lignes(); 
 font();
 cercles();
 rectangles();
 etoiles();
 textdefil(); 
}

  

